MESG(1)

NAME
mesg - permit or deny messages on the terminal

SYNOPSIS
mesg [ n ] [ y ]

DESCRIPTION
mesg with argument n forbids messages with write(1) by revoking non-user write permission on the user's terminal. mesg with argument y reinstates permission. All by itself, mesg reports the current state without changing it.

FILES
/dev/tty*

SEE ALSO
write(1), talk(1)

DIAGNOSTICS
Exit status is 0 if messages are receivable, 1 if not, 2 on error.